Bug 59752 - webalizer cron should not run by default
Summary: webalizer cron should not run by default
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: webalizer (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-12 18:58 UTC by Christopher McCrory
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 18:58:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher McCrory 2002-02-12 18:58:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020206

Description of problem:
webalizer should not run by default
the admin should trigger something to enable it

in /etc/sysconfig/webalizer
RUN=yes


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install webalizer
2.
3.
	

Actual Results:  webalizer is run

Expected Results:  should run only once configured

in /etc/sysconfig/webalizer
RUN=yes

OR

in /etc/cron.daily/00webalizer
...
# mkdir /var/www/html/usage to enable
if [ -s /var/log/httpd/access_log -a -d /var/www/html/usage] ; then
...

OR

in webalizer.conf, make dir /var/www/usage and note that 'alias /usage
/var/www/usage' must be added to httpd.conf



Additional info:

I myself normally wouldn't normally install webalizer, but I have a 'build
machine' where everything is installed. This is how I noticed it.

Many people might be doing a full install or other option that installs this,
not realizing they are revealing to the whole world their stats.

marking as 'security', but 'enhancement' might be better.

Comment 1 Ngo Than 2002-02-21 16:39:27 UTC
i added a function in /etc/cron.daily/00webalizer to check RUN enviroment.
It's enable as default for compatibility. In your case you should add RUN=no
into /etc/sysconfig/webalizer/ to disable it.


Note You need to log in before you can comment on or make changes to this bug.